part of '../game.dart';

@freezed
sealed class GameFailure with _$GameFailure {
  const factory GameFailure.serverError(ApiFailure failure) = _ServerError;
  const factory GameFailure.unexpectedError() = _UnexpectedError;
  const factory GameFailure.dynamicErrorMessage(String erroMessage) =
      _DynamicErrorMessage;
}
